package LimitPerPageChanger::CMS;

use strict;

sub template_source {
    my ($cb, $app, $template) = @_;

    my $old;
    my $new;

    my $plugin = $app->component('LimitPerPageChanger');
    my $message = $plugin->translate('rows');


    $old = <<HTML;
    <select id="row" name="limit">
      <option value="25"<mt:if name="limit_25"> selected="selected"</mt:if>><__trans phrase="25 rows"></option>
      <option value="50"<mt:if name="limit_50"> selected="selected"</mt:if>><__trans phrase="50 rows"></option>
      <option value="100"<mt:if name="limit_100"> selected="selected"</mt:if>><__trans phrase="100 rows"></option>
      <option value="200"<mt:if name="limit_200"> selected="selected"</mt:if>><__trans phrase="200 rows"></option>
    </select>
HTML
    $old = quotemeta($old);
    $new = <<HTML;
<input id="row" name="limit" type="text" value="25" style="width: 50px" /> $message
HTML

    $$template =~ s/$old/$new/;
}

1;
